Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.spi
Interface BeanMetaData

All Superinterfaces:
  Cloneable, FeatureMetaData, org.jboss.util.JBossInterface, MetaDataVisitorNode

All Known Implementing Classes:
  AbstractBeanMetaData

public interface BeanMetaData
extends FeatureMetaData

Metadata about a bean.

Version:
  $Revision: 1.13 $
Author:
  Adrian Brock

Method Summary
`String` | `getBean()` Get the bean.
`ClassLoaderMetaData` | `getClassLoader()` Get the bean ClassLoader
`ConstructorMetaData` | `getConstructor()` Get the constructor
`LifecycleMetaData` | `getCreate()` Get the create lifecycle
`Set` | `getDemands()` Get what this bean demands.
`LifecycleMetaData` | `getDestroy()` Get the destroy lifecycle
`org.jboss.dependency.spi.ControllerMode` | `getMode()` Get the mode
`String` | `getName()` Get the name
`Set` | `getProperties()` Get the properties.
`LifecycleMetaData` | `getStart()` Get the start lifecycle
`LifecycleMetaData` | `getStop()` Get the stop lifecycle
`Set` | `getSupplies()` Get what this bean supplies.
`void` | `setClassLoader(ClassLoaderMetaData classLoader)` Set the bean ClassLoader
`void` | `setMode(org.jboss.dependency.spi.ControllerMode mode)` Set the name
`void` | `setName(String name)` Set the name

Methods inherited from interface org.jboss.beans.metadata.spi.FeatureMetaData
`getAnnotations, getDescription`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Methods inherited from interface org.jboss.beans.metadata.spi.MetaDataVisitorNode
`getChildren, visit`

Method Detail

### getBean

    public String getBean()

  Get the bean.

  Returns:
    the bean.

### getName

    public String getName()

  Get the name

  Returns:
    the name

### setName

    public void setName(String name)

  Set the name

  Parameters:
    `name` - the name

### getMode

    public org.jboss.dependency.spi.ControllerMode getMode()

  Get the mode

  Returns:
    the mode

### setMode

    public void setMode(org.jboss.dependency.spi.ControllerMode mode)

  Set the name

  Parameters:
    `mode` - the mode

### getProperties

    public Set getProperties()

  Get the properties.

  Returns:
    List.

### getClassLoader

    public ClassLoaderMetaData getClassLoader()

  Get the bean ClassLoader

  Returns:
    the ClassLoader metadata

### setClassLoader

    public void setClassLoader(ClassLoaderMetaData classLoader)

  Set the bean ClassLoader

  Parameters:
    `classLoader` - the ClassLoader metadata

### getConstructor

    public ConstructorMetaData getConstructor()

  Get the constructor

  Returns:
    the constructor metadata

### getCreate

    public LifecycleMetaData getCreate()

  Get the create lifecycle

  Returns:
    the create lifecycle

### getStart

    public LifecycleMetaData getStart()

  Get the start lifecycle

  Returns:
    the start lifecycle

### getStop

    public LifecycleMetaData getStop()

  Get the stop lifecycle

  Returns:
    the stop lifecycle

### getDestroy

    public LifecycleMetaData getDestroy()

  Get the destroy lifecycle

  Returns:
    the destroy lifecycle

### getDemands

    public Set getDemands()

  Get what this bean demands.

  Returns:
    Set

### getSupplies

    public Set getSupplies()

  Get what this bean supplies.

  Returns:
    Set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.